<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Page extends CI_Controller
{

    function __construct()
    {
        parent::__construct();
        $this->load->model('UserModel');
        $this->load->model('PageModel');
        $this->load->library('Middleware');
    }

    public function index()
    {
    }

    // get all Groups
    public function getPages()
    {
        $token = $this->tokenmiddleware->main();
        $this->UserModel->checkPermission();
        $user = $this->jwtmiddleware->decode($token);
        //
        $pages = $this->PageModel->getPages();
        echo json_encode(
            array(
                'status' => 200,
                'message' => 'عرض كل الصفحات',
                'token' => $token,
                'data' => $pages,
                'isAuth' => true,
                'total' => $this->PageModel->countPages()
            ),
            JSON_UNESCAPED_UNICODE
        );
        exit();
    }

    public function updatePage()
    {
        $token = $this->tokenmiddleware->main();
        $this->UserModel->checkPermission();
        $user = $this->jwtmiddleware->decode($token);
        // 
        $id = $this->input->post('id');
        $name = $this->input->post('name');
        $data = $this->PageModel->updatePage($id, $name);
        echo json_encode(
            array(
                'status' => 200,
                'message' => 'تم تعديل اسم الصفحة بنجاح ',
                'token' => $token,
                'isAuth' => true,
                'action' => true,
                'data' => $data
            ),
            JSON_UNESCAPED_UNICODE
        );
        exit();
    }

}