<?php

class PageModel extends CI_Model
{
    public function __construct()
    {
        parent::__construct();
        $this->load->database();
    }

    public function getPages()
    {
        $this->db->select('*');
        $this->db->from('pages');
        $query = $this->db->get();
        $result = $query->result();
        return $result;
    }

    public function countPages()
    {
        $this->db->from('pages');
        $count = $this->db->count_all_results();
        return $count;
    }

    public function updatePage($id, $name)
    {
        $data = array(
            'name' => $name,
        );

        $this->db->where('id', $id);
        $this->db->update('pages', $data);
        return $this->db->affected_rows();
    }

}