ERROR - 2024-10-05 11:15:15 --> Error occurred on 2024-10-05 11:15:15 in file: /var/www/html/spaceLight/app/application/models/ReportModel.php on line: 287 Query error: Incorrect DATETIME value: '' - Invalid query: 
SELECT
    COALESCE(b.user_hash, l.user_hash) AS user_hash,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_worked_hours, 0) * 3600), '%H:%i:%s') AS work_hour,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_target_hours, 0) * 3600), '%H:%i:%s') AS work_hour_target,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_overtime_hours, 0) * 3600), '%H:%i:%s') AS over_time,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_missing_hours, 0) * 3600), '%H:%i:%s') AS cut_off_hours,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_late_arrival_minutes, 0) * 60), '%H:%i:%s') AS finger_limit_in,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_early_departure_minutes, 0) * 60), '%H:%i:%s') AS finger_limit_out,
    COALESCE(l.total_sick_leave_days, 0) AS sick_vacation_hour,
    COALESCE(l.total_regular_leave_days, 0) AS total_regular_leave_days,
    COALESCE(l.total_time_leave_days, 0) AS total_time_leave_days,
    COALESCE(l.total_duty_days, 0) AS duty_hour,
    COALESCE(l.total_unpaid_leave_days, 0) AS total_unpaid_leave_days,
    COALESCE(l.total_weekly_off_days, 0) AS total_weekly_off_days,
    COALESCE(l.total_vacation_days, 0) AS vacation_hour,
    COALESCE(su.name, '') AS name,
    total_absence_days,
    total_attendace_days,
    TIME_FORMAT(SEC_TO_TIME(
        COALESCE(b.total_daily_penalties, 0)
    ), '%H:%i:%s') AS total_penalty_hours
FROM (
    SELECT
        ewh.user_hash,
        ewh.is_flexible,
        SUM(ewh.total_worked_hours) AS total_worked_hours,
        SUM(ewh.target_hours) AS total_target_hours,
        SUM(ewh.overtime_hours) AS total_overtime_hours,
        -- only now calc for schedule later for flexible
        SUM(CASE WHEN ewh.is_flexible = 0 THEN 0 ELSE 0 END) AS total_missing_hours,
        SUM(ewh.total_late_arrival_minutes) AS total_late_arrival_minutes,
        SUM(ewh.total_early_departure_minutes) AS total_early_departure_minutes,
       SUM(
            CASE
                WHEN ewh.total_worked_hours = 0 AND is_flexible = 0 THEN ewh.total_missed_hours * 3600 * 3
                ELSE (ewh.total_late_arrival_minutes * 60 * 3) + (ewh.total_early_departure_minutes * 60 * 3)
            END
        ) AS total_daily_penalties,
          COUNT(CASE
        WHEN ewh.total_worked_hours = 0 AND ewh.is_flexible = '0' THEN 1
        ELSE NULL
    END) AS total_absence_days,
      COUNT(CASE
        WHEN ewh.total_worked_hours > 0 AND ewh.is_flexible = '0' THEN 1
        ELSE NULL
    END) AS total_attendace_days
    FROM employees_worked_hours ewh
    WHERE ewh.date BETWEEN '' AND '2024-10-04'
    GROUP BY ewh.user_hash
) b
LEFT JOIN (
    SELECT
        v.user_hash,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 111 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_sick_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 222 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_regular_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 333 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_time_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 444 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_duty_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 555 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_unpaid_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 666 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_weekly_off_days,
COALESCE(SUM(TIMESTAMPDIFF(DAY, v.date_start, v.date_end)), 0) AS total_vacation_days
    FROM vacations v
    WHERE v.status = 111
        AND v.date_start >= ''
        AND v.date_end <= '2024-10-04'
    GROUP BY v.user_hash
) l ON b.user_hash = l.user_hash
LEFT JOIN system_users su ON b.user_hash = su.hash
ERROR - 2024-10-05 11:24:06 --> Error occurred on 2024-10-05 11:24:06 in file: /var/www/html/spaceLight/app/application/models/ReportModel.php on line: 287 Query error: Incorrect DATETIME value: '' - Invalid query: 
SELECT
    COALESCE(b.user_hash, l.user_hash) AS user_hash,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_worked_hours, 0) * 3600), '%H:%i:%s') AS work_hour,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_target_hours, 0) * 3600), '%H:%i:%s') AS work_hour_target,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_overtime_hours, 0) * 3600), '%H:%i:%s') AS over_time,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_missing_hours, 0) * 3600), '%H:%i:%s') AS cut_off_hours,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_late_arrival_minutes, 0) * 60), '%H:%i:%s') AS finger_limit_in,
    TIME_FORMAT(SEC_TO_TIME(COALESCE(b.total_early_departure_minutes, 0) * 60), '%H:%i:%s') AS finger_limit_out,
    COALESCE(l.total_sick_leave_days, 0) AS sick_vacation_hour,
    COALESCE(l.total_regular_leave_days, 0) AS total_regular_leave_days,
    COALESCE(l.total_time_leave_days, 0) AS total_time_leave_days,
    COALESCE(l.total_duty_days, 0) AS duty_hour,
    COALESCE(l.total_unpaid_leave_days, 0) AS total_unpaid_leave_days,
    COALESCE(l.total_weekly_off_days, 0) AS total_weekly_off_days,
    COALESCE(l.total_vacation_days, 0) AS vacation_hour,
    COALESCE(su.name, '') AS name,
    total_absence_days,
    total_attendace_days,
    TIME_FORMAT(SEC_TO_TIME(
        COALESCE(b.total_daily_penalties, 0)
    ), '%H:%i:%s') AS total_penalty_hours
FROM (
    SELECT
        ewh.user_hash,
        ewh.is_flexible,
        SUM(ewh.total_worked_hours) AS total_worked_hours,
        SUM(ewh.target_hours) AS total_target_hours,
        SUM(ewh.overtime_hours) AS total_overtime_hours,
        -- only now calc for schedule later for flexible
        SUM(CASE WHEN ewh.is_flexible = 0 THEN 0 ELSE 0 END) AS total_missing_hours,
        SUM(ewh.total_late_arrival_minutes) AS total_late_arrival_minutes,
        SUM(ewh.total_early_departure_minutes) AS total_early_departure_minutes,
       SUM(
            CASE
                WHEN ewh.total_worked_hours = 0 AND is_flexible = 0 THEN ewh.total_missed_hours * 3600 * 3
                ELSE (ewh.total_late_arrival_minutes * 60 * 3) + (ewh.total_early_departure_minutes * 60 * 3)
            END
        ) AS total_daily_penalties,
          COUNT(CASE
        WHEN ewh.total_worked_hours = 0 AND ewh.is_flexible = '0' THEN 1
        ELSE NULL
    END) AS total_absence_days,
      COUNT(CASE
        WHEN ewh.total_worked_hours > 0 AND ewh.is_flexible = '0' THEN 1
        ELSE NULL
    END) AS total_attendace_days
    FROM employees_worked_hours ewh
    WHERE ewh.date BETWEEN '' AND '2024-10-04'
    GROUP BY ewh.user_hash
) b
LEFT JOIN (
    SELECT
        v.user_hash,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 111 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_sick_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 222 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_regular_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 333 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_time_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 444 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_duty_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 555 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_unpaid_leave_days,
        COALESCE(SUM(CASE WHEN v.vication_type_hash = 666 THEN TIMESTAMPDIFF(DAY, v.date_start, v.date_end) ELSE 0 END), 0) AS total_weekly_off_days,
COALESCE(SUM(TIMESTAMPDIFF(DAY, v.date_start, v.date_end)), 0) AS total_vacation_days
    FROM vacations v
    WHERE v.status = 111
        AND v.date_start >= ''
        AND v.date_end <= '2024-10-04'
    GROUP BY v.user_hash
) l ON b.user_hash = l.user_hash
LEFT JOIN system_users su ON b.user_hash = su.hash
ERROR - 2024-10-05 11:40:29 --> Error occurred on 2024-10-05 11:40:29 in file: /var/www/html/spaceLight/app/application/models/EmployeesModel.php on line: 865 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ') AS total_penatly_hours,

            ei.primary_salary,
            ROUND(e' at line 13 - Invalid query: SELECT
            EAS.user_hash,
            su.image_profile,
            su.name,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(work_hour * 3600), 2))) AS total_work_hour,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(work_hour_target * 3600), 2))) AS total_work_hour_target,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(over_time * 3600), 2))) AS total_over_time,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(cut_off_hours * 3600), 2))) AS total_cut_off_hours,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(finger_limit_out * 60), 2))) AS total_finger_limit_out,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(finger_limit_out_leave * 60), 2))) AS total_finger_limit_out_leave,

      SUM(finger_limit_out) / 60 +
      SUM(finger_limit_out_leave) / 60, 2) AS total_penatly_hours,

            ei.primary_salary,
            ROUND(ei.primary_salary / NULLIF(SUM(work_hour_target), 0), 2) AS hourly_rate,
            ROUND(SUM(cut_off_hours) * (ei.primary_salary / NULLIF(SUM(work_hour_target), 0)) * 3, 2) AS cut_off_amount,
            ep.approved AS is_approved,
            (
                SELECT SUM(CASE WHEN penalties_rewards_types_id = 1 THEN amount ELSE 0 END)
                FROM penalties_rewards_employees
                WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                AND emp_id = EAS.user_hash
            ) AS sum_rewards,
            (
                SELECT SUM(CASE WHEN penalties_rewards_types_id = 2 THEN -amount ELSE 0 END)
                FROM penalties_rewards_employees
                WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                AND emp_id = EAS.user_hash
            ) AS sum_penalties,
            ROUND(
                ei.primary_salary
                - (SUM(cut_off_hours) * (ei.primary_salary / NULLIF(SUM(work_hour_target), 0)))
                + (
                    SELECT COALESCE(SUM(CASE WHEN penalties_rewards_types_id = 1 THEN amount ELSE 0 END), 0)
                    FROM penalties_rewards_employees
                    WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                    AND emp_id = EAS.user_hash
                )
                - (
                    SELECT COALESCE(SUM(CASE WHEN penalties_rewards_types_id = 2 THEN -amount ELSE 0 END), 0)
                    FROM penalties_rewards_employees
                    WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                    AND emp_id = EAS.user_hash
                ),
                2
            ) AS salary_after_cutoffs
        FROM
            EmployeeAttendanceSummary EAS
        LEFT JOIN
            emp_information ei ON EAS.user_hash = ei.user_hash
        LEFT JOIN
            system_users su ON EAS.user_hash = su.hash
        LEFT JOIN
            emp_payroll ep ON EAS.user_hash = ep.emp_id AND ep.year_months = '2024-09'
        WHERE
            EAS.date BETWEEN '2024-09-04' AND '2024-10-04'
            AND su.name LIKE '%عباس %'
            AND ei.is_work = 1
        GROUP BY
            EAS.user_hash, su.image_profile, su.name, ei.primary_salary, ep.approved
        ORDER BY ei.id
        LIMIT 0, 10;
ERROR - 2024-10-05 11:43:16 --> Error occurred on 2024-10-05 11:43:16 in file: /var/www/html/spaceLight/app/application/models/EmployeesModel.php on line: 865 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ei.primary_salary,
            ROUND(ei.primary_salary / NULLIF(SUM(work_hour_t' at line 15 - Invalid query: SELECT
            EAS.user_hash,
            su.image_profile,
            su.name,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(work_hour * 3600), 2))) AS total_work_hour,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(work_hour_target * 3600), 2))) AS total_work_hour_target,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(over_time * 3600), 2))) AS total_over_time,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(cut_off_hours * 3600), 2))) AS total_cut_off_hours,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(finger_limit_out * 60), 2))) AS total_finger_limit_out,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(finger_limit_out_leave * 60), 2))) AS total_finger_limit_out_leave,
            ROUND((SUM(finger_limit_out) / 60 +
            SUM(finger_limit_out_leave) / 60) * 3, 2) AS total_penalty_hours


            ei.primary_salary,
            ROUND(ei.primary_salary / NULLIF(SUM(work_hour_target), 0), 2) AS hourly_rate,
            ROUND(SUM(cut_off_hours) * (ei.primary_salary / NULLIF(SUM(work_hour_target), 0)) * 3, 2) AS cut_off_amount,
            ep.approved AS is_approved,
            (
                SELECT SUM(CASE WHEN penalties_rewards_types_id = 1 THEN amount ELSE 0 END)
                FROM penalties_rewards_employees
                WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                AND emp_id = EAS.user_hash
            ) AS sum_rewards,
            (
                SELECT SUM(CASE WHEN penalties_rewards_types_id = 2 THEN -amount ELSE 0 END)
                FROM penalties_rewards_employees
                WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                AND emp_id = EAS.user_hash
            ) AS sum_penalties,
            ROUND(
                ei.primary_salary
                - (SUM(cut_off_hours) * (ei.primary_salary / NULLIF(SUM(work_hour_target), 0)))
                + (
                    SELECT COALESCE(SUM(CASE WHEN penalties_rewards_types_id = 1 THEN amount ELSE 0 END), 0)
                    FROM penalties_rewards_employees
                    WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                    AND emp_id = EAS.user_hash
                )
                - (
                    SELECT COALESCE(SUM(CASE WHEN penalties_rewards_types_id = 2 THEN -amount ELSE 0 END), 0)
                    FROM penalties_rewards_employees
                    WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                    AND emp_id = EAS.user_hash
                ),
                2
            ) AS salary_after_cutoffs
        FROM
            EmployeeAttendanceSummary EAS
        LEFT JOIN
            emp_information ei ON EAS.user_hash = ei.user_hash
        LEFT JOIN
            system_users su ON EAS.user_hash = su.hash
        LEFT JOIN
            emp_payroll ep ON EAS.user_hash = ep.emp_id AND ep.year_months = '2024-09'
        WHERE
            EAS.date BETWEEN '2024-09-04' AND '2024-10-04'
            AND su.name LIKE '%عباس %'
            AND ei.is_work = 1
        GROUP BY
            EAS.user_hash, su.image_profile, su.name, ei.primary_salary, ep.approved
        ORDER BY ei.id
        LIMIT 0, 10;
ERROR - 2024-10-05 11:44:06 --> Error occurred on 2024-10-05 11:44:06 in file: /var/www/html/spaceLight/app/application/models/EmployeesModel.php on line: 864 Query error: Unknown column 'total_penalty_hours' in 'field list' - Invalid query: SELECT
            EAS.user_hash,
            su.image_profile,
            su.name,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(work_hour * 3600), 2))) AS total_work_hour,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(work_hour_target * 3600), 2))) AS total_work_hour_target,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(over_time * 3600), 2))) AS total_over_time,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(cut_off_hours * 3600), 2))) AS total_cut_off_hours,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(finger_limit_out * 60), 2))) AS total_finger_limit_out,
            SEC_TO_TIME(ROUND(TRUNCATE(SUM(finger_limit_out_leave * 60), 2))) AS total_finger_limit_out_leave,
            ROUND((SUM(finger_limit_out) / 60 +
            SUM(finger_limit_out_leave) / 60) * 3, 2) AS total_penalty_hours,

            ei.primary_salary,
            ROUND(ei.primary_salary / NULLIF(SUM(work_hour_target), 0), 2) AS hourly_rate,
            ROUND(SUM(total_penalty_hours) * (ei.primary_salary / NULLIF(SUM(work_hour_target), 0)), 2) AS cut_off_amount,
            ep.approved AS is_approved,
            (
                SELECT SUM(CASE WHEN penalties_rewards_types_id = 1 THEN amount ELSE 0 END)
                FROM penalties_rewards_employees
                WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                AND emp_id = EAS.user_hash
            ) AS sum_rewards,
            (
                SELECT SUM(CASE WHEN penalties_rewards_types_id = 2 THEN -amount ELSE 0 END)
                FROM penalties_rewards_employees
                WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                AND emp_id = EAS.user_hash
            ) AS sum_penalties,
            ROUND(
                ei.primary_salary
                - (SUM(cut_off_hours) * (ei.primary_salary / NULLIF(SUM(work_hour_target), 0)))
                + (
                    SELECT COALESCE(SUM(CASE WHEN penalties_rewards_types_id = 1 THEN amount ELSE 0 END), 0)
                    FROM penalties_rewards_employees
                    WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                    AND emp_id = EAS.user_hash
                )
                - (
                    SELECT COALESCE(SUM(CASE WHEN penalties_rewards_types_id = 2 THEN -amount ELSE 0 END), 0)
                    FROM penalties_rewards_employees
                    WHERE date_added BETWEEN '2024-09-04' AND '2024-10-04'
                    AND emp_id = EAS.user_hash
                ),
                2
            ) AS salary_after_cutoffs
        FROM
            EmployeeAttendanceSummary EAS
        LEFT JOIN
            emp_information ei ON EAS.user_hash = ei.user_hash
        LEFT JOIN
            system_users su ON EAS.user_hash = su.hash
        LEFT JOIN
            emp_payroll ep ON EAS.user_hash = ep.emp_id AND ep.year_months = '2024-09'
        WHERE
            EAS.date BETWEEN '2024-09-04' AND '2024-10-04'
            AND su.name LIKE '%عباس %'
            AND ei.is_work = 1
        GROUP BY
            EAS.user_hash, su.image_profile, su.name, ei.primary_salary, ep.approved
        ORDER BY ei.id
        LIMIT 0, 10;
ERROR - 2024-10-05 13:52:36 --> Error occurred on 2024-10-05 13:52:36 in file: /var/www/html/spaceLight/app/system/database/DB_query_builder.php on line: 1383 Query error: Incorrect DATETIME value: '13:50:36' - Invalid query: SELECT `id`
FROM `vacations`
WHERE `user_hash` = '1562195310922321'
AND `date_start` <= '13:50:36'
AND `date_end` >= '13:50:36'
ERROR - 2024-10-05 13:52:50 --> Error occurred on 2024-10-05 13:52:50 in file: /var/www/html/spaceLight/app/system/database/DB_query_builder.php on line: 1383 Query error: Incorrect DATETIME value: '13:50:36' - Invalid query: SELECT `id`
FROM `vacations`
WHERE `user_hash` = '1562195310922321'
AND `date_start` <= '13:50:36'
AND `date_end` >= '13:50:36'
ERROR - 2024-10-05 13:53:22 --> Error occurred on 2024-10-05 13:53:22 in file: /var/www/html/spaceLight/app/system/database/DB_query_builder.php on line: 1383 Query error: Incorrect DATETIME value: '13:50:36' - Invalid query: SELECT `id`
FROM `vacations`
WHERE `user_hash` = '1562195310922321'
AND `date_start` <= '13:50:36'
AND `date_end` >= '13:50:36'
ERROR - 2024-10-05 13:54:22 --> Severity: Warning --> strtotime() expects parameter 1 to be string, object given /var/www/html/spaceLight/app/application/models/UserModel.php 389
ERROR - 2024-10-05 13:56:13 --> Severity: Warning --> strtotime() expects parameter 1 to be string, object given /var/www/html/spaceLight/app/application/models/UserModel.php 389
ERROR - 2024-10-05 13:56:14 --> Severity: Warning --> strtotime() expects parameter 1 to be string, object given /var/www/html/spaceLight/app/application/models/UserModel.php 389
ERROR - 2024-10-05 13:56:53 --> Severity: Warning --> strtotime() expects parameter 1 to be string, object given /var/www/html/spaceLight/app/application/models/UserModel.php 389
ERROR - 2024-10-05 13:57:13 --> Severity: Warning --> strtotime() expects parameter 1 to be string, object given /var/www/html/spaceLight/app/application/models/UserModel.php 389
ERROR - 2024-10-05 13:59:14 --> Severity: error --> Exception: syntax error, unexpected '->' (T_OBJECT_OPERATOR) /var/www/html/spaceLight/app/application/models/UserModel.php 345
ERROR - 2024-10-05 15:03:09 --> Error occurred on 2024-10-05 15:03:09 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 264 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1
                    THEN CASE
                       WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
                       ELSE 'حاضر'
                    END


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:03:13 --> Error occurred on 2024-10-05 15:03:13 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 264 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1
                    THEN CASE
                       WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
                       ELSE 'حاضر'
                    END


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:04:28 --> Error occurred on 2024-10-05 15:04:28 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 264 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                   WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
        CASE
            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
            ELSE 'حاضر'
        END


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:05:24 --> Error occurred on 2024-10-05 15:05:24 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 271 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 34 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
    -- Check if current time is outside working hours
    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'

    -- Check for vacation status
    WHEN EXISTS (
        SELECT 1
        FROM vacations
        WHERE vacations.user_hash = system_users.hash
        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
        AND vacations.status = '111'
    ) THEN 'مجاز'

    -- No attendance records
    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'

    -- Only one attendance record with NULL time
    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'

    -- Attendance check for 'in'
    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
        CASE
            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
            ELSE 'حاضر'
        END

    -- Only one attendance record with 'out'
    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'

    -- Default case if none of the above conditions are met
    ELSE 'حضر وانتهي دوامه'
END AS title
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:05:31 --> Error occurred on 2024-10-05 15:05:31 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 271 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 34 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
    -- Check if current time is outside working hours
    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'

    -- Check for vacation status
    WHEN EXISTS (
        SELECT 1
        FROM vacations
        WHERE vacations.user_hash = system_users.hash
        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
        AND vacations.status = '111'
    ) THEN 'مجاز'

    -- No attendance records
    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'

    -- Only one attendance record with NULL time
    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'

    -- Attendance check for 'in'
    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
        CASE
            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
            ELSE 'حاضر'
        END

    -- Only one attendance record with 'out'
    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'

    -- Default case if none of the above conditions are met
    ELSE 'حضر وانتهي دوامه'
END AS title
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:07:28 --> Error occurred on 2024-10-05 15:07:28 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 265 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
                        CASE
                            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
                            ELSE 'حاضر'
                        END
                    END AS status,


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 10;
ERROR - 2024-10-05 15:07:41 --> Error occurred on 2024-10-05 15:07:41 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 264 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
                        CASE
                            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
                            ELSE 'حاضر'



                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 50 offset 0;
ERROR - 2024-10-05 15:07:42 --> Error occurred on 2024-10-05 15:07:42 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 264 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
                        CASE
                            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
                            ELSE 'حاضر'



                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:08:41 --> Error occurred on 2024-10-05 15:08:41 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 266 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
                        CASE
                            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
                            ELSE 'حاضر'
                        END
                    ELSE 'غير معروف' -- Default case if none of the above conditions are met



                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:08:42 --> Error occurred on 2024-10-05 15:08:42 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 266 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
                        CASE
                            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
                            ELSE 'حاضر'
                        END
                    ELSE 'غير معروف' -- Default case if none of the above conditions are met



                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 100 offset 0;
ERROR - 2024-10-05 15:09:07 --> Error occurred on 2024-10-05 15:09:07 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 265 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
        CASE
            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
            ELSE 'حاضر'
        END
    ELSE 'غير معروف'


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 10 offset 0;
ERROR - 2024-10-05 15:09:20 --> Error occurred on 2024-10-05 15:09:20 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 265 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
  ' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
        CASE
            WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
            ELSE 'حاضر'
        END
    ELSE 'غير معروف'


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 50 offset 0;
ERROR - 2024-10-05 15:10:28 --> Error occurred on 2024-10-05 15:10:28 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 265 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ', '00:00:00'), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن ا' at line 26 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
        CASE
        WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR, '00:00:00'), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'
            ELSE 'حاضر'
        END
    ELSE 'غير معروف'


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 20 offset 0;
ERROR - 2024-10-05 15:10:48 --> Error occurred on 2024-10-05 15:10:48 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 265 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
  ' at line 32 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
WHEN COUNT(CASE WHEN in_out = 'in' THEN 1 END) >= 1 THEN
        CASE
        WHEN 1 > 0 THEN 'hi'
        ELSE 'حاضر'
        END
    ELSE 'غير معروف'


                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 100 offset 0;
ERROR - 2024-10-05 15:13:12 --> Error occurred on 2024-10-05 15:13:12 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 262 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ', '00:00:00'), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن ا' at line 24 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR, '00:00:00'), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'




                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 20 offset 0;
ERROR - 2024-10-05 15:16:28 --> Error occurred on 2024-10-05 15:16:28 in file: /var/www/html/spaceLight/app/application/models/AttendModel.php on line: 262 Query error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ', '00:00:00'), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن ا' at line 24 - Invalid query: 
        SELECT
        name,
        system_users.hash as hash,
        (select name from system_group_name where system_group_name.hash=user_type) as job_name,
        (select name from partments where partments.hash=partment) as department_name,
        (select Name from Positions where Positions.ID=emp_information.position) as position,
        image_profile,
        CASE
            WHEN (SELECT type FROM holiday WHERE date = CURDATE()) IS NULL THEN 'يوم عمل'
            ELSE (SELECT type FROM holiday WHERE date = CURDATE())
        END AS status,
                CASE
                    -- WHEN TIME(NOW()) < work_from OR TIME(NOW()) > work_to THEN 'خارج وقت الدوام'
                    WHEN EXISTS (
                        SELECT 1
                        FROM vacations
                        WHERE vacations.user_hash = system_users.hash
                        AND CURDATE() BETWEEN DATE(date_start) AND DATE(date_end - INTERVAL 1 DAY)
                        AND vacations.status = '111'
                        -- AND vacations.vication_type_hash IN ('111', '222', '333', '444', '555')
                    ) THEN 'مجاز'
                    WHEN COUNT(*) = 0 THEN 'لم يحضر بعد'
                    WHEN COUNT(*) = 1 AND MIN(emp_fingerprint.fingerprint_time) IS NULL THEN 'لم يحضر بعد'
                    WHEN TIMESTAMPDIFF(MINUTE, ADDTIME(CONVERT(JSON_UNQUOTE(JSON_EXTRACT(actual_schedules.schedule_data, '$[0].start')), UNSIGNED) * INTERVAL 1 HOUR, '00:00:00'), NOW()) > actual_schedules.allowance_time THEN 'متاخر عن العمل'




                    WHEN COUNT(*) = 1 AND in_out = 'out' THEN 'بصم خروج بدون دخول'
                     -- WHEN COUNT(*) = 1 AND allow_time <= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                     -- WHEN COUNT(*) = 1 AND allow_time >= TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'حاضر'
                     -- WHEN COUNT(*) = 2 AND allow_time < TIME(MIN(emp_fingerprint.fingerprint_time)) THEN 'متاخر عن العمل'
                    ELSE 'حضر وانتهي دوامه'
                END AS title,
        CASE
            WHEN COUNT(*)  < 2 THEN ''
            ELSE TIME_FORMAT(MAX(emp_fingerprint.fingerprint_time), '%h:%i %p')
        END AS outTime,
        CASE
            WHEN COUNT(*) > 0   THEN TIME_FORMAT(min(emp_fingerprint.fingerprint_time), '%h:%i %p')
            ELSE ''
        END AS inTime,
        case
            when count(*) = 1 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),curtime())/60
            when count(*) = 2 then TIMESTAMPDIFF(minute,MIN(fingerprint_time),MAX(fingerprint_time))/60
            else ''
        end as time_difference
    FROM
        system_users
            LEFT JOIN
        emp_fingerprint ON user_hash = system_users.hash
            AND DATE(emp_fingerprint.fingerprint_time) = DATE(CURDATE())
            JOIN
        emp_information ON system_users.hash = emp_information.user_hash
            AND is_work = 1
        LEFT JOIN vacations ON vacations.user_hash = system_users.hash
            AND vacations.date_start <= CURDATE()
            AND vacations.date_end >= CURDATE()
        LEFT JOIN actual_schedules
        ON actual_schedules.user_hash = system_users.hash
        AND actual_schedules.date = DATE(emp_fingerprint.fingerprint_time)
    GROUP BY system_users.hash
    order by inTime desc
    limit 50 offset 0;
ERROR - 2024-10-05 18:29:18 --> Severity: error --> Exception: syntax error, unexpected 'foreach' (T_FOREACH), expecting function (T_FUNCTION) or const (T_CONST) /var/www/html/spaceLight/app/application/models/GlobalRebortModel.php 145
ERROR - 2024-10-05 18:29:18 --> Severity: error --> Exception: syntax error, unexpected 'foreach' (T_FOREACH), expecting function (T_FUNCTION) or const (T_CONST) /var/www/html/spaceLight/app/application/models/GlobalRebortModel.php 145
ERROR - 2024-10-05 18:29:24 --> Severity: error --> Exception: syntax error, unexpected 'foreach' (T_FOREACH), expecting function (T_FUNCTION) or const (T_CONST) /var/www/html/spaceLight/app/application/models/GlobalRebortModel.php 145
ERROR - 2024-10-05 18:29:24 --> Severity: error --> Exception: syntax error, unexpected 'foreach' (T_FOREACH), expecting function (T_FUNCTION) or const (T_CONST) /var/www/html/spaceLight/app/application/models/GlobalRebortModel.php 145
ERROR - 2024-10-05 18:29:42 --> Severity: error --> Exception: Call to undefined method GlobalRebortModel::getPreviousInTimestamp() /var/www/html/spaceLight/app/application/models/GlobalRebortModel.php 80
ERROR - 2024-10-05 18:29:42 --> Severity: error --> Exception: Call to undefined method GlobalRebortModel::getPreviousInTimestamp() /var/www/html/spaceLight/app/application/models/GlobalRebortModel.php 80
