<?php
defined('BASEPATH') or exit('No direct script access allowed');
require __DIR__ . '/jwt/autoload.php';

use Firebase\JWT\JWT;
use Firebase\JWT\Key;

class Login extends CI_Controller
{

    function __construct()
    {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library('session');
        $this->load->model('Menu_db');
        $this->load->library('pagination');
    }


    public function index()
    {

        // $now = time();
        // $ten_minutes = $now + (10 * 60);
        // $startDate = date('m-d-Y H:i:s', $now);
        // $endDate = date('m-d-Y H:i:s', $ten_minutes);


        // $token=$this->jwt_enc(array("iss" => "http://example.org","aud" => "http://example.com","iat" => $startDate,"nbf" => $endDate));
        // print($token);
        // $decoded_array=$this->jwt_dec($token);
        // print_r($decoded_array);



    }

    public function xx()
    {
        // =7;

        echo ALERT;
    }

    public function check_user()
    {
        header('Content-Type: application/json; charset=utf-8');
        $username = $this->input->post("username");
        $password = $this->input->post("password");
        $mobile_token = $this->input->post("mobile_token");
        $is_ios = $this->input->post("is_ios");
        $mobile_info = $this->input->post("mobile_info");
        // $username=$_POST["username"];
        // die($username." xxx ".$password);
        if ($username != "" && $password != "") {

            $res = $this->Menu_db->check_user_info($username, $password, $mobile_token, $is_ios, $mobile_info);
            if ($res["hash"] != "") {
                //$iat=time();
                //$exp=$iat+1;
                //$res["iat"]=$iat;
                // $res["nbf"]=$exp;

                $token = $this->jwt_enc($res);
                //echo $token;
                $res["token"] = $token;
                // $decoded_array=$this->jwt_dec($token);


                echo json_encode($res, JSON_UNESCAPED_UNICODE);


                // print_r($decoded_array);

            } else {
                echo json_encode(array("result" => "0"), JSON_UNESCAPED_UNICODE);
            }
        } else
            echo json_encode(array("result" => "0"), JSON_UNESCAPED_UNICODE);
    }
    // public function isJson($string) {
    //   json_decode($string);
    //   return json_last_error() === JSON_ERROR_NONE;
    // }
    // public function JSONTOInsertSQL($query){
    //     $obj=json_decode($query,JSON_UNESCAPED_UNICODE);
    //     //die(print_r($obj));

    //     foreach ($obj as $row)
    //     {
    //         if(is_array($row))
    //          $column=$row;
    //         else
    //          $table=$row;



    //       //echo "\n";
    //     }
    //   //die();
    //     $keys   = implode('`,`', array_map('addslashes', array_keys($column)));
    //     $values = implode("','", array_map('addslashes', array_values($column)));
    //     return "INSERT INTO $table ($keys) VALUES ('$values')";
    // }

    public function run_query()
    {

        header('Content-Type: application/json; charset=utf-8');
        $query = $this->input->post("query");
        $token = $this->input->post("token");
        //die("xxxx ".$query);
        //die($query);

        // if($this->isJson($query))
        //   $query=$this->JSONTOInsertSQL($query);

        //die($query);

        //die($query);
        $decoded_array = $this->jwt_dec($token);
        //die(print_r($decoded_array));
        if ($decoded_array == 0) {
            echo json_encode(array("result" => "unauthorize"), JSON_UNESCAPED_UNICODE);
        } else {
            //print_r($decoded_array);
            //echo $decoded_array["hash"];
            $res = $this->Menu_db->check_user_by_hash($decoded_array["hash"]);
            // if($res["hash"]!="")
            if (isset($res["hash"])) {
                $token = $this->jwt_enc($res);
                $res = $this->Menu_db->run_query($query, $res["hash"]);
                echo json_encode(array("result" => $res, "hash" => $decoded_array["hash"], "token" => $token), JSON_UNESCAPED_UNICODE);
            } else {
                echo json_encode(array("result" => "0"), JSON_UNESCAPED_UNICODE);
            }
        }
    }


    public function logout()
    {
        header('Content-Type: application/json; charset=utf-8');
        $token = $this->input->post("token");
        $type = "logout";
        $decoded_array = $this->jwt_dec($token, $type);
        if ($decoded_array == 0) {
            echo json_encode(array("result" => "unauthorize"), JSON_UNESCAPED_UNICODE);
        } else {

            $res = $this->Menu_db->check_user_by_hash($decoded_array["hash"]);
            if ($res["hash"] != "") {
                $token = $this->jwt_enc($res, -10000);
                echo json_encode(array("result" => "1", "token" => $token), JSON_UNESCAPED_UNICODE);
            } else {
                echo json_encode(array("result" => "0"), JSON_UNESCAPED_UNICODE);
            }
        }
    }


    public function jwt_enc($data, $expir = "11900")
    {
        // die($expir);
        //  $iat=time();
        //  $exp=$iat+$expir;
        //  $data["iat"]=$iat;
        //  $data["exp"]=$exp;
        //die(print_r($data));
        $key = "@@redhaalasd2020@@";
        $payload = $data;
        $jwt = JWT::encode($payload, $key, 'HS256');
        return $jwt;
    }

    public function jwt_dec($token, $type = "normal")
    {
        //die("aaaa");
        try {

            $key = "@@redhaalasd2020@@";
            $decoded = JWT::decode($token, new Key($key, 'HS256'));
            $decoded_array = (array) $decoded;
            //$exp=$decoded_array["exp"];
            //$iat=time();
            //die($exp." x ".$iat." ".$type);
            // if($exp>$iat||$type=="logout")
            //  if($type=="logout")
            return $decoded_array;
            // else
            // return 0;
        } catch (Exception $e) {
            return 0;
        }
    }

    public function send_notification()
    {

        $title = $this->input->post("title");
        $data = $this->input->post("data");
        $token = $this->input->post("token");
        $messge = $this->input->post("message");

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://fcm.googleapis.com/fcm/send",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => "{\r\n    \"notification\": {\r\n        \"body\": \"$messge\",\r\n        \"title\": \"$title  \",\r\n        \"sound\": \"default\"\r\n    },\r\n\"data\":$data,\r\n    \"priority\": \"high\",\r\n    \"to\": \"$token\"\r\n}",
            CURLOPT_HTTPHEADER => array(
                "authorization: key=AAAA51PaGds:APA91bF87rmzJWUQrS7poyyWM1K7TvlMIs4qdevclG0ySAhVE5jQ8zlxJVlZXbw8YktjpeIZFdWw2YFMh-2ftfdKFY_Dy3sbesnlSxTA8gXS374PlUnhk5LN_o26gcnf0QvXW5s6MTNP",
                "cache-control: no-cache",
                "content-type: application/json",
                "postman-token: 3c0e79f3-97eb-0024-022c-7adb8d94e7e5"
            ),
        ));
        $response = curl_exec($curl);
        $err = curl_error($curl);
        curl_close($curl);
        if ($err) {
            return "cURL Error #:" . $err;
        } else {
            echo json_encode($response, JSON_UNESCAPED_UNICODE);
            // return $response;
        }
    }


    public function notiifcation()
    {

        //   $this->output->set_header('Content-Type: text/event-stream');
        //   $this->output->set_header('Cache-Control: no-cache');

        //  header("Content-Type: text/event-stream");
        //  header("Cache-Control: no-cache");




        $user_hash = $this->input->get("hash");
        // $user_hash="aaa";
        $time = date('r');
        echo "data: " . json_encode(array('user' => $time)) . "\n\n";
        flush();
    }



    public function summary()
    {

        header('Content-Type: application/json; charset=utf-8');
        $user_hash = $this->input->post("user_hash");
        $token = $this->input->post("token");


        $query = "
    SELECT  *    FROM        task    WHERE        receiver = '" . $user_hash . "'            AND status = '111'    ORDER BY id DESC    LIMIT 3;
    SELECT         *    FROM        task    WHERE        emergency = '1'            AND receiver = '" . $user_hash . "'    ORDER BY id DESC    LIMIT 3;
    SELECT         *    FROM        task    WHERE        CURDATE() > DATE(deadline)            AND receiver = '" . $user_hash . "'            AND status = '111'    ORDER BY id DESC    LIMIT 3;
    SELECT         COUNT(id) AS complete_task    FROM        task    WHERE        MONTH(CURDATE()) = MONTH(DATE(deadline))            AND receiver = '" . $user_hash . "'            AND status = '222';
    SELECT        COUNT(id) AS not_complete_task    FROM        task    WHERE        MONTH(CURDATE()) = MONTH(DATE(deadline))            AND receiver = '" . $user_hash . "'            AND status = '111';
    SELECT ifnull(time_format(time(fingerprint_time),'%r'),'لاتوجد بصمة لهذا اليوم') as arrive_time FROM emp_fingerprint  where date(fingerprint_time)=curdate() and user_hash='" . $user_hash . "' and in_out='in' ;
    select get_vacations_current_month('222','" . $user_hash . "')*8 as normal_vication_month,hour_day from vacations_type limit 1;
    select get_vacations_current_year('222','" . $user_hash . "')*8 as normal_vication_year,hour_day from vacations_type limit 1;
    select get_vacations_current_month('333','" . $user_hash . "') as half_vication_month,hour_day from vacations_type limit 1;
    select get_vacations_current_year('333','" . $user_hash . "') as half_vication_year,hour_day from vacations_type limit 1;
    SELECT (ceil((vacations_limit/12))*8-get_vacations_current_month('222',user_hash)*8-get_vacations_current_month('333',user_hash)) as balance_vacations_month FROM emp_information where user_hash='" . $user_hash . "';   
    SELECT (vacations_limit*8-get_vacations_current_year('222',user_hash)*8-get_vacations_current_year('333',user_hash)) as balance_vacations_year FROM emp_information where user_hash='" . $user_hash . "';
    SELECT work_in_check_distance,work_out_check_distance FROM emp_information where user_hash='" . $user_hash . "';
    ";



        $decoded_array = $this->jwt_dec($token);
        //die(print_r($decoded_array));
        if ($decoded_array == 0) {
            echo json_encode(array("result" => "unauthorize"), JSON_UNESCAPED_UNICODE);
        } else {
            //print_r($decoded_array);
            //echo $decoded_array["hash"];
            $res = $this->Menu_db->check_user_by_hash($decoded_array["hash"]);
            // if($res["hash"]!="")
            if (isset($res["hash"])) {
                $token = $this->jwt_enc($res);
                $res = $this->Menu_db->run_query($query, $res["hash"]);
                echo json_encode(array("result" => $res, "hash" => $decoded_array["hash"], "token" => $token), JSON_UNESCAPED_UNICODE);
            } else {
                echo json_encode(array("result" => "0"), JSON_UNESCAPED_UNICODE);
            }
        }
    }








    public function upload()
    {
        header('Content-Type: application/json; charset=utf-8');
        //die("aaa");
        $year = date('Y');
        $month = date('m');

        $token = $this->input->post("token");
        $name = $this->input->post("name");
        $query = $this->input->post("query");
        $note = $this->input->post("note");
        $task_hash = $this->input->post("task_hash");
        $folder_location = $this->input->post("folder_location");
        //die(print_r($_FILES['files']['name']));
        //die(print_r($_FILES['files']['name'][0]));
        // die(isset($_FILES['files']['name']));
        if (isset($_FILES['files']['name']))
            $countfiles = count($_FILES['files']['name']);
        // Upload directory




        // jwt code
        $decoded_array = $this->jwt_dec($token);
        if ($decoded_array == 0) {
            echo json_encode(array("result" => "unauthorize"), JSON_UNESCAPED_UNICODE);
        } else {
            $res = $this->Menu_db->check_user_by_hash($decoded_array["hash"]);

            if (isset($res["hash"])) {
                $token = $this->jwt_enc($res);


                /////////////////////////////////////////////////////////////// main upload ///////////////////////////////////////////////////

                if (isset($_FILES['files']['name']))
                // if($_FILES["files"]['name'][0] != '')
                {
                    //die("xxx");
                    $upload_location = "uploads/" . $folder_location;
                    $lastChar = substr($upload_location, -1);
                    if ($lastChar != "/")
                        $upload_location = $upload_location . "/";

                    if (!file_exists($upload_location)) { // create year folder
                        if (mkdir($upload_location, 0777, true)) {
                            fopen($upload_location . "/index.php", "w+");
                            $html = "<!DOCTYPE html><html><head><title>403 Forbidden</title></head><body><p>Directory access is forbidden.</p></body></html>";
                            file_put_contents($upload_location . "/index.php", $html);
                        }
                    }





                    // To store uploaded files path
                    $files_arr = array();

                    // Loop all files
                    for ($index = 0; $index < $countfiles; $index++) {

                        if (isset($_FILES['files']['name'][$index]) && $_FILES['files']['name'][$index] != '') {
                            // File name
                            $filename = $name . "_" . $year . '-' . $month . '-' . $_FILES['files']['name'][$index];

                            // Get extension
                            $ext = strtolower(pathinfo($filename, PATHINFO_EXTENSION));

                            // Valid image extension
                            //  $valid_ext = array("png","jpeg","jpg");

                            // Check extension
                            //  if(in_array($ext, $valid_ext)){

                            // File path
                            $path = $upload_location . $filename;

                            // Upload file
                            $flage = "";
                            if (move_uploaded_file($_FILES['files']['tmp_name'][$index], $path)) {
                                $files_arr[] = base_url() . $path;
                                $this->Menu_db->run_query("insert into task_attachment(task_hash,user_hash,link,note) values('" . $task_hash . "','" . $res["hash"] . "','" . base_url() . $path . "','" . $note . "');", $res["hash"]);
                                // $res=$this->Menu_db->add_attachment(base_url().$path,$hash);
                                $flage = 1;
                            } else {
                                $flage = 0;
                                break;
                            }




                            //  }
                        }
                    }

                    if ($flage) {
                        if ($query != "") {
                            $res = $this->Menu_db->run_query($query, $res["hash"]);
                            echo json_encode(array("result" => $res, "path_location" => $files_arr, "hash" => $decoded_array["hash"], "token" => $token), JSON_UNESCAPED_UNICODE);
                        } else
                            echo json_encode(array("result" => "1", "path_location" => $files_arr, "hash" => $decoded_array["hash"], "token" => $token), JSON_UNESCAPED_UNICODE);

                        // echo json_encode(array("result"=>$files_arr,"hash"=>$decoded_array["hash"],"token"=>$token), JSON_UNESCAPED_UNICODE);

                    } else
                        echo json_encode(array("result" => "0", "hash" => $decoded_array["hash"], "token" => $token), JSON_UNESCAPED_UNICODE);
                } else         ///if user add just note
                {
                    if ($note != "") {
                        $this->Menu_db->run_query("insert into task_attachment(task_hash,user_hash,link,note) values('" . $task_hash . "','" . $res["hash"] . "','','" . $note . "');", $res["hash"]);
                        echo json_encode(array("result" => $res, "path_location" => "", "hash" => $decoded_array["hash"], "token" => $token), JSON_UNESCAPED_UNICODE);
                    }
                }












                ////////////////////////////////////////////////////////////end main upload //////////////////////////////////////////////////////////////

                //  echo json_encode(array("result"=>$res,"hash"=>$decoded_array["hash"],"token"=>$token), JSON_UNESCAPED_UNICODE);
            } else {
                echo json_encode(array("result" => "0"), JSON_UNESCAPED_UNICODE);
            }
        }
    }



    public function delete()
    {
        $hash = $this->input->get("hash");
        $res = $this->Menu_db->delete_attachment($hash);
        echo json_encode($res, JSON_UNESCAPED_UNICODE);
    }
}
